Index: sansguiframe/src/sans/guiframe/data_processor.py
===================================================================
--- sansguiframe/src/sans/guiframe/data_processor.py	(revision dbb3914e136c9d207e84a78efdff68bb1579a15e)
+++ sansguiframe/src/sans/guiframe/data_processor.py	(revision d560a37b0f82cb84d86416b8bc5238c1dc3fc159)
@@ -561,5 +561,5 @@
         self.AddPage(grid, "", True)
         pos = self.GetPageIndex(grid)
-        title = "Batch" + str(self.GetPageCount())
+        title = "Grid" + str(self.GetPageCount())
         self.SetPageText(pos, title)
         self.SetSelection(pos)
@@ -892,5 +892,5 @@
                     wx.PostEvent(self.parent.parent, StatusEvent(status=msg, 
                                                                 info="error"))
-                    time.sleep(0.5)
+                    #time.sleep(0.5)
                     continue
                 else:
@@ -915,6 +915,6 @@
                             wx.PostEvent(self.parent.parent, 
                                  StatusEvent(status=msg, info="error")) 
-                            time.sleep(0.5)
-                            continue
+                            return
+                            #continue
                         #new_plot.name =  title + ': ' + new_plot.title
                         if issubclass(new_plot.__class__, Data1D):
@@ -935,6 +935,7 @@
                                                  StatusEvent(status=msg,
                                                               info="error"))
-                                    time.sleep(0.5) 
-                                    continue  
+                                    #time.sleep(0.5) 
+                                    return
+                                    #continue  
                         """
                         wx.PostEvent(self.parent.parent, 
@@ -958,6 +959,7 @@
                     wx.PostEvent(self.parent.parent, 
                          StatusEvent(status=msg, info="error")) 
-                    time.sleep(0.5)
-                    continue
+                    #time.sleep(0.5)
+                    return
+                    #continue
     
         
@@ -1040,15 +1042,19 @@
         new_plot.id =  wx.NewId()
         new_plot.group_id = wx.NewId()
-        title = "%s vs %s" % (self.y_axis_title.GetValue(), 
-                              self.x_axis_title.GetValue())
-        new_plot.xaxis(self.x_axis_title.GetValue(), 
+        y_title = self.y_axis_title.GetValue()
+        x_title = self.x_axis_title.GetValue()
+        title = "%s_vs_%s" % (y_title, 
+                              x_title)
+        new_plot.xaxis(x_title, 
                        self.x_axis_unit.GetValue())
-        new_plot.yaxis(self.y_axis_title.GetValue(), 
+        new_plot.yaxis(y_title, 
                        self.y_axis_unit.GetValue())
         try:
-            title = self.notebook.GetPageText(pos)
+            title = y_title.strip()
+            title += self.notebook.GetPageText(pos)
             new_plot.name = title
             new_plot.xtransform = "x"
             new_plot.ytransform  = "y"  
+            #new_plot.is_data = False
             wx.PostEvent(self.parent.parent, 
                         NewPlotEvent(plot=new_plot, 
@@ -1216,5 +1222,5 @@
 class GridFrame(wx.Frame):
     def __init__(self, parent=None, data_inputs=None, data_outputs=None, id=-1, 
-                 title="Batch Window", size=(800, 500)):
+                 title="Grid Window", size=(800, 500)):
         wx.Frame.__init__(self, parent=parent, id=id, title=title, size=size)
         self.parent = parent
Index: sansguiframe/src/sans/guiframe/gui_manager.py
===================================================================
--- sansguiframe/src/sans/guiframe/gui_manager.py	(revision 83b81b892d6b6b411cf66224c351d1ac98abd726)
+++ sansguiframe/src/sans/guiframe/gui_manager.py	(revision d560a37b0f82cb84d86416b8bc5238c1dc3fc159)
@@ -372,5 +372,5 @@
                                   details=details,
                                   file_name=file_name)
-        self.batch_frame.Show(True)
+        self.show_batch_frame(None)
         
     def on_read_batch_tofile(self, event):
@@ -403,5 +403,5 @@
         fd = open(file_name, 'r')
         _, ext = os.path.splitext(file_name)
-        separator = "\t"
+        separator = None
         if ext.lower() == ".csv":
             separator = ","
@@ -414,6 +414,16 @@
         for index in range(len(lines)):
             line = lines[index]
+            line.strip()
             count = 0
-            if line.find(separator) != -1:
+            if separator == None:
+                line.replace('\t', ' ')
+                #found the first line containing the label
+                col_name_toks = line.split()
+                for item in col_name_toks:
+                    if item.strip() != "":
+                        count += 1
+                    else:
+                        line = " "
+            elif line.find(separator) != -1:
                 if line.count(separator) >= 2:
                     #found the first line containing the label
@@ -430,4 +440,5 @@
         if column_names_line.strip() == "" or index is None:
             return 
+
         col_name_toks = column_names_line.split(separator)
         c_index = 0
@@ -439,5 +450,4 @@
                 c_index += 1
                 
-      
         self.open_with_localapp(data_outputs=data, data_inputs=None,
                                 file_name=file_name, details=details)
@@ -1342,5 +1352,5 @@
         id = wx.NewId()
         hint = "Display batch results into a grid"
-        self._view_menu.Append(id, '&Show Batch Results', hint) 
+        self._view_menu.Append(id, '&Show Grid Window', hint) 
         wx.EVT_MENU(self, id, self.show_batch_frame)
 
